/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package buddhabrot;

import java.io.IOException;

/**
 *
 * @author zerjillo
 */
public class MergeRaws {

    public static void main(String[] args) {
        String name1 = "posterZZ";
        String name2 = "posterZ3";
        String nameF = "posterZZZ";
        
        int[][] image1 = null;
        int[][] image2 = null;

        try {
            System.out.println("Cargando imagen 1: " + name1);
            image1 = Utils.loadImageAsArray(name1);

            System.out.println("Cargando imagen 2: " + name2);
            image2 = Utils.loadImageAsArray(name2);
        } catch (IOException e) {
            System.out.println("Error cargando");
            System.exit(-1);
        }

        
        int width = image1.length;
        int height = image1[0].length;

        long tc1 = Utils.computeTotalCount(image1);
        long tc2 = Utils.computeTotalCount(image2);
        
        System.out.println("Total Count 1:" + tc1);
        System.out.println("Total Count 2:" + tc2);
        
        for (int x = 0 ; x < width ; x++) {
            for (int y = 0 ; y < height ; y++) {
                image1[x][y] += image2[x][y];
            }
        }
        
        long tcM = Utils.computeTotalCount(image1);
        
        System.out.println("Total Count Final: " + tcM);
        
        System.out.println("Grabando merge");
        
        Utils.saveImageAsArray(nameF, image1);
    }
}
