/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package buddhabrot;

import java.awt.image.BufferedImage;
import java.awt.image.WritableRaster;
import java.io.File;
import java.io.IOException;
import java.util.Iterator;
import javax.imageio.ImageIO;
import javax.imageio.ImageWriter;

/**
 *
 * @author zerjillo
 */
public class RawToPNG16 {

    public static void main(String[] args) {
        

        String name = "mec";

        int[][] image = null;

        try {
            System.out.println("Cargando imagen");
            image = Utils.loadCompressed(name);
        } catch (Exception e) {
            System.out.println("Error cargando");
            System.exit(-1);
        }

        int width = image.length;
        int height = image[0].length;
        int max = Utils.getMax(image);

        System.out.println("Max: " + max);

        BufferedImage imageGray = new BufferedImage(width, height, BufferedImage.TYPE_USHORT_GRAY);
        WritableRaster r = (WritableRaster) imageGray.getData();

        for (int x = 0 ; x < width ; x++) {
            for (int y = 0 ; y < height ; y++) {
                r.setSample(x, y, 0, image[x][y] /** 65535 / max*/);
            }
        }

        imageGray.setData(r);


        try {
            System.out.println("Saving");
            
            ImageIO.write(imageGray, "PNG", new File(name + ".png"));

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
